type(1)

NAME
type -- indicate how a command would be interpreted

  Synopsis

type [OPTIONS] NAME [NAME ...]

  Description
With no options, type indicates how each NAME would be interpreted if used as a command name.

The following options are available:

•   -a or --all prints all of possible definitions of the specified names.

•   -f or --no-functions suppresses function and builtin lookup.

•   -t or --type prints function, builtin, or file if NAME is a shell function, builtin, or disk file, respectively.

•   -p or --path returns the name of the disk file that would be executed, or nothing if type -t name would not return file.

•   -P or --force-path returns the name of the disk file that would be executed, or nothing if no file with the specified name could be found in the $PATH.

•   -q or --quiet suppresses all output; this is useful when testing the exit status.

  Example

type fg
  Outputs the string 'fg is a shell builtin'.